html,
body {
    margin: 0;
    padding: 0;
    overflow: hidden;
    /* background: linear-gradient(to right, #000428, #004e92); */
    background-color: #eee;
    background: url(../img/background.jpg);
    background-size: cover;
    background-position: bottom center;

    font-family: 'Saira', sans-serif;
}

select,
input,
textarea,
button {
    font-family: inherit;
}

* {
    box-sizing: border-box;
    outline: unset;
}

@keyframes iletisim {
    0% {
        transform: translateX(-50%) translateY(0);
    }

    20%,
    50% {
        transform: translateX(-50%) translateY(100%);
    }

    80%,
    100% {
        transform: translateX(-50%) translateY(0);
    }
}

.sayfa {
    width: 100%;
    /*
    backdrop-filter: blur(10px);
    background-color: rgba(0, 0, 0, 0.5);
    */
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;

    .mesaj {
        width: 100%;
        color: white;
        text-align: center;
        display: flex;
        justify-content: center;
        height: 100%;
        padding: 100px 0;

        p {
            max-width: 300px;
            text-align: center;
            font-size: 20px;
            font-style: italic;
        }
    }

    .kapak {
        min-width: fit-content;
        box-shadow: 0 0 100px 0 rgba(0, 0, 0, 0.8);
        user-select: none;
        display: flex;
        align-items: center;
        justify-content: center;
        max-width: 100%;
        max-height: 100%;
        position: relative;

        .kapak-img {
            max-width: 100%;
            max-height: 100vh;
            user-select: none;
            cursor: default !important;
        }

        .ara {
            position: absolute;
            top: 27.5%;
            width: 80%;
            --clip-px: 20px;
            --background: #a61c0e;

            .iletisim {
                position: absolute;
                bottom: 1px;
                left: 50%;
                transform: translateX(-50%) translateY(100%);
                background-color: white;
                border-radius: 0 0 5px 5px;
                padding: 2.5px 10px;
                background-color: var(--background);
                animation: iletisim 5s ease infinite;

                a {
                    color: white;
                    text-decoration: unset;
                    font-size: 13px;
                    display: flex;
                    align-items: center;
                    gap: 5px;

                    &:hover {
                        text-decoration: underline;
                    }
                }

                i {
                    width: 16px;
                    height: 16px;
                    background: no-repeat url(../img/mail.svg);
                    background-size: contain;
                    filter: invert(1);
                }
            }

            .sonuclar {
                opacity: 0;
                transform: translateY(110%);
                pointer-events: none;
                transition: all .3s ease;
                box-shadow: 0 0 30px 0 rgba(0, 0, 0, 0.5);
                position: absolute;
                bottom: -40px;
                width: 100%;
                background-color: var(--background);
                border-radius: 5px;
                color: white;
                left: 0;
                padding: 10px;
                z-index: 2;
                transition: all .3s ease;
                gap: 5px;
                display: flex;
                flex-direction: column;

                &::after {
                    content: "";
                    position: absolute;
                    left: 50%;
                    top: 1px;
                    transform: translateX(-50%) translateY(-100%);
                    width: 0;
                    height: 0;
                    border-left: 10px solid transparent;
                    border-right: 10px solid transparent;
                    border-bottom: 10px solid var(--background);
                }

                a {
                    display: flex;
                    align-items: center;
                    font-size: 15px;
                    cursor: pointer;
                    transition: all .3s ease;

                    b {
                        margin-right: 5px;
                        color: white
                    }

                    &:hover {
                        background-color: rgba(0, 0, 0, 0.25);
                    }
                }

                &.active {
                    opacity: 1;
                    pointer-events: all;
                    transform: translateY(100%);
                }

                h5 {
                    margin: 0;
                    font-weight: normal;
                }
            }

            input {
                position: relative;
                width: 100%;
                padding: 10px calc(var(--clip-px) * 2);
                border: none;
                background-color: transparent;
                z-index: 1;
                font-weight: bold;
                color: white;

                &::placeholder {
                    color: white;
                }
            }

            &::after {
                content: "";
                position: absolute;
                width: 100%;
                box-shadow: 0 0 30px 0 rgba(0, 0, 0, 0.5);
                height: 100%;
                background-color: var(--background);
                clip-path: polygon(0 0, var(--clip-px) 50%, 0 100%, 100% 100%, calc(100% - var(--clip-px)) 50%, 100% 0);
                left: 0;
                top: 0;
            }
        }

        .denkgele {
            position: absolute;
            bottom: 25%;
            width: 95%;
            display: flex;
            align-items: center;
            gap: 2.5px;

            .degistir {
                cursor: pointer;
            }

            .sozcuk {
                position: relative;
                display: flex;
                align-items: center;
                --clip-px: 20px;
                --background: #a61c0e;
                flex: 1;
                min-width: 0;
                padding: 10px calc(var(--clip-px) * 2);

                &::after {
                    content: "";
                    position: absolute;
                    width: 100%;
                    height: 100%;
                    box-shadow: 0 0 30px 0 rgba(0, 0, 0, 0.5);
                    background-color: var(--background);
                    clip-path: polygon(0 0, var(--clip-px) 50%, 0 100%, 100% 100%, calc(100% - var(--clip-px)) 50%, 100% 0);
                    left: 0;
                    top: 0;
                    transition: all .3s ease;
                }

                .sonuclar {
                    opacity: 0;
                    transform: translateY(110%);
                    pointer-events: none;
                    transition: all .3s ease;
                    box-shadow: 0 0 30px 0 rgba(0, 0, 0, 0.5);
                    left: 0;
                    position: absolute;
                    bottom: -15px;
                    width: 100%;
                    background-color: var(--background);
                    border-radius: 5px;
                    color: white;
                    padding: 10px;
                    gap: 5px;
                    transition: all .3s ease;
                    display: flex;
                    flex-direction: column;

                    &::after {
                        content: "";
                        position: absolute;
                        left: 50%;
                        top: 0;
                        transform: translateX(-50%) translateY(-100%);
                        width: 0;
                        height: 0;
                        border-left: 10px solid transparent;
                        border-right: 10px solid transparent;
                        border-bottom: 10px solid var(--background);
                    }

                    a {
                        display: flex;
                        align-items: center;
                        font-size: 12px;
                        font-weight: bold;
                        justify-content: center;
                        text-align: center;

                        b {
                            margin-right: 5px;
                            color: white
                        }
                    }

                    h5 {
                        margin: 0;
                        font-weight: normal;
                    }
                }

                &:hover {
                    .sonuclar {
                        opacity: 1;
                        pointer-events: all;
                        transform: translateY(100%);
                    }
                }

                li {
                    position: relative;
                    list-style: none;
                    color: white;
                    z-index: 1;
                    white-space: nowrap;
                    text-overflow: ellipsis;
                    overflow: hidden;
                    width: 100%;
                    font-size: 12px;
                    text-align: center;
                    font-weight: bold;
                }

                &:before {
                    content: attr(data-text);
                    position: absolute;
                    left: var(--clip-px);
                    font-weight: bold;
                    top: 1px;
                    transition: all .3s ease;
                    transform: translateY(-100%);
                    color: white;
                    background-color: var(--background);
                    font-size: 10px;
                    padding: 2.5px 10px;
                    border-radius: 5px 5px 0 0;
                }

                &:last-child {
                    &:before {
                        left: unset;
                        right: var(--clip-px)
                    }
                }
            }
        }
    }
}

.paylas {
    display: flex;
    align-items: center;
    gap: 10px;
    justify-content: center;

    h5 {
        margin: 0;
        text-shadow: 3px 3px 5px black;
    }

    a {
        width: 32px;
        height: 32px;
        display: flex;
    }
}

@media (max-width: 763px) {
    .sayfa {
        flex-direction: column;

        .kapak {
            width: 100%;
        }

        .mesaj {
            flex: 1;
            padding: 10px;
            align-items: center;

            p {
                max-width: 100%;
                font-size: 15px;
                padding: 5px 10px;
                margin-top: unset !important;
                margin-bottom: unset !important;
            }
        }

        .paylas {
            margin: 10px 0;
        }
    }
}